org.apache.ignite.internal.processors.cache

## Interface CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>

All Superinterfaces:
  AutoCloseable, GridCloseableIterator<T>, GridIterator<T>, GridSerializableIterator<T>, IgniteSpiCloseableIterator<T>, Iterable<T>, Iterator<T>, Serializable

All Known Implementing Classes:
  CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator

Enclosing class:
  CacheWeakQueryIteratorsHolder<V>

    public static interface CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>
    extends GridCloseableIterator<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`WeakReference` `weakReference()`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### weakReference

    WeakReference weakReference()

Returns:
  Iterator weak reference.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018